<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

trait NameableTrait
{
    #[ORM\Column(length: 255)]
    private ?string $name = null;

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): static
    {
        $this->name = $name;

        return $this;
    }


}